Get a file
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/files/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/files/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Files
Get a file
Returns details of a specific file
GET
/
api
/
v1
/
files
/
{id}
Get a file
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/files/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/files/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: folder, created_by
Response
file found
Show child attributes
Show child attributes
⌘I